#ifndef BOARD_INIT_H
#define BOARD_INIT_H

#include <stdint.h>

#include "clock_init.h"
#include "hal_common.h"
#include "hal_rcc.h"
#include "hal_uart.h"
#include "pin_init.h"

/* DEBUG UART. */
#define BOARD_DEBUG_UART_PORT     UART1
#define BOARD_DEBUG_UART_BAUDRATE 9600u
#define BOARD_DEBUG_UART_FREQ     CLOCK_APB2_FREQ

void BOARD_Init(void);

#endif  // BOARD_INIT_H
